Package com.google.android.exoplayer2.source

## Class DefaultMediaSourceEventListener

- java.lang.Object
- - com.google.android.exoplayer2.source.DefaultMediaSourceEventListener

- All Implemented Interfaces:
    `MediaSourceEventListener`

      @Deprecated
      public abstract class DefaultMediaSourceEventListener
      extends Object
      implements MediaSourceEventListener

  Deprecated.
  Use `MediaSourceEventListener` interface directly for selective overrides as all methods are implemented as no-op default methods.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.source.MediaSourceEventListener

      `MediaSourceEventListener.EventDispatcher`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultMediaSourceEventListener()` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from interface com.google.android.exoplayer2.source.MediaSourceEventListener

      `onDownstreamFormatChanged, onLoadCanceled, onLoadCompleted, onLoadError, onLoadStarted, onUpstreamDiscarded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMediaSourceEventListener

          public DefaultMediaSourceEventListener()

      Deprecated.